public static final class QueryMonitorRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
QueryMonitorRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
QueryMonitorRequest |
build() |
QueryMonitorRequest.Builder |
endTime(Long endTime)
The timestamp when the monitoring ends.
|
QueryMonitorRequest.Builder |
instanceId(String instanceId)
The ID of the instance.
|
QueryMonitorRequest.Builder |
monitorType(String monitorType)
The metric type.
|
QueryMonitorRequest.Builder |
requestPars(String requestPars)
The extended request parameters in the JSON format.
|
QueryMonitorRequest.Builder |
startTime(Long startTime)
The timestamp when the monitoring starts.
|
QueryMonitorRequest.Builder |
step(Long step)
The interval between data points.
|
public QueryMonitorRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public QueryMonitorRequest.Builder endTime(Long endTime)
The timestamp when the monitoring ends.
This parameter is required.
example:1666678376
public QueryMonitorRequest.Builder instanceId(String instanceId)
The ID of the instance.
example:mse-cn-****
public QueryMonitorRequest.Builder monitorType(String monitorType)
The metric type. The following metric types are supported:
[Basic system metrics]
[Nacos registry]
[Nacos configuration center]
[zookeeper]
This parameter is required.
example:regCenterQps
public QueryMonitorRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public QueryMonitorRequest.Builder startTime(Long startTime)
The timestamp when the monitoring starts.
This parameter is required.
example:1666678376
public QueryMonitorRequest.Builder step(Long step)
The interval between data points. Unit: seconds.
example:7
public QueryMonitorRequest build()
Copyright © 2026. All rights reserved.